Bug 1102640

Summary: sos: /etc/fstab collected by sosreport, possibly containing passwords [fedora-all]
Product: [Fedora] Fedora Reporter: Murray McAllister <mmcallis>
Component: sosAssignee: Bryn M. Reeves <bmr>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 20CC: bmr, kroberts, vdanen
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: sos-3.1-1.fc20 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-27 02:21:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1102633    

Description Murray McAllister 2014-05-29 11:15:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-05-29 11:15:24 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1102633,1102640

Comment 2 Bryn M. Reeves 2014-06-17 22:51:25 UTC
Fixed in rawhide with update to sos-3.2-0.1.a.fc21:

  http://pkgs.fedoraproject.org/cgit/sos.git/log/

Fixed in f20 with rebase to sos-3.1 and backport of the fstab patch.

  http://pkgs.fedoraproject.org/cgit/sos.git/commit/?h=f20

Comment 3 Fedora Update System 2014-06-17 23:11:08 UTC
sos-3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sos-3.1-1.fc20

Comment 4 Fedora Update System 2014-06-18 22:22:34 UTC
Package sos-3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sos-3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7479/sos-3.1-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-06-27 02:21:11 UTC
sos-3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.